"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "tests/test" between
googler-3.9.tar.gz and googler-4.0.tar.gz

About: googler is a command line tool to search Google (Web \PKG_DESCR_TTamp; News) from the terminal (requires Python).

test  (googler-3.9):test  (googler-4.0)
skipping to change at line 108 skipping to change at line 108
[[ $1 == --rerun ]] && { [[ $1 == --rerun ]] && {
rerun=1 rerun=1
shift shift
} }
printf '\033[31mError: googler ' >&2 printf '\033[31mError: googler ' >&2
printf '%q ' "$@" >&2 printf '%q ' "$@" >&2
printf 'failed with status %d.\033[0m\n' $last_status >&2 printf 'failed with status %d.\033[0m\n' $last_status >&2
exitcode=1 exitcode=1
(( rerun )) && { googler --noprompt -d "$@"; printf '\n\033[33m[Exit sta tus] %d\033[0m\n' $?; } || : (( rerun )) && { $googler --noprompt -d "$@"; printf '\n\033[33m[Exit st atus] %d\033[0m\n' $?; } || :
} }
declare -g quiet declare -g quiet
if (( quiet )); then if (( quiet )); then
$googler --noprompt -d "$@" &>/dev/null || report_error --rerun "$@" $googler --noprompt -d "$@" &>/dev/null || report_error --rerun "$@"
else else
printf '\033[34m==> googler ' >&2 printf '\033[34m==> googler ' >&2
printf '%q ' "$@" >&2 printf '%q ' "$@" >&2
printf '\033[0m\n' >&2 printf '\033[0m\n' >&2
$googler --noprompt -d "$@" || report_error "$@" $googler --noprompt -d "$@" || report_error "$@"
 End of changes. 1 change blocks. 
1 lines changed or deleted 1 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)